Skip to navigation

Update Super Admin Company Assignments

Assigns or unassigns Companies for the Super Admin associated with superAdminId. This operation is non-destructive, meaning that only Companies represented in the request body will be affected by the request.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

superAdminIdintegerRequired

The unique ID of the Super Admin account. Does not match the BigCommerce customer account ID.

Request

This endpoint expects an object.
companieslist of objectsRequired

Response

SUCCESS
codeintegerOptionalDefaults to 200
dataobjectOptional
metaobjectOptional

Errors

404
Not Found Error